View a markdown version of this page

GetConfig - AWS Ground Station

GetConfig

Returns Config information.

Only one Config response can be returned.

Request Syntax

GET /config/configType/configId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

configId

UUID of a Config.

Length Constraints: Fixed length of 36.

Pattern: [a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}

Required: Yes

configType

Type of a Config.

Valid Values: antenna-downlink | antenna-downlink-demod-decode | tracking | dataflow-endpoint | antenna-uplink | uplink-echo | s3-recording | telemetry-sink

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "configArn": "string", "configData": { ... }, "configId": "string", "configType": "string", "name": "string", "tags": { "string" : "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

configArn

ARN of a Config

Type: String

Length Constraints: Minimum length of 82. Maximum length of 424.

Pattern: arn:aws:groundstation:[-a-z0-9]{1,50}:[0-9]{12}:config/[a-z0-9]+(-[a-z0-9]+){0,4}/[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}(/.{1,256})?

configData

Data elements in a Config.

Type: ConfigTypeData object

Note: This object is a Union. Only one member of this object can be specified or returned.

configId

UUID of a Config.

Type: String

configType

Type of a Config.

Type: String

Valid Values: antenna-downlink | antenna-downlink-demod-decode | tracking | dataflow-endpoint | antenna-uplink | uplink-echo | s3-recording | telemetry-sink

name

Name of a Config.

Type: String

tags

Tags assigned to a Config.

Type: String to string map

Errors

For information about the errors that are common to all actions, see Common Error Types.

DependencyException

Dependency encountered an error.

parameterName

Name of the parameter that caused the exception.

HTTP Status Code: 531

InvalidParameterException

One or more parameters are not valid.

parameterName

Name of the invalid parameter.

HTTP Status Code: 431

ResourceNotFoundException

Resource was not found.

HTTP Status Code: 434

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: